This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 225744 - No help topic for Evaluate code window
Summary: No help topic for Evaluate code window
Status: REOPENED
Alias: None
Product: usersguide
Classification: Unclassified
Component: IDE (show other bugs)
Version: 7.3
Hardware: PC Mac OS X
: P3 normal (vote)
Assignee: AlyonaStashkova
URL:
Keywords:
Depends on: 228164 228165 228166
Blocks:
  Show dependency tree
 
Reported: 2013-02-05 11:15 UTC by Kenneth Ganfield
Modified: 2013-04-02 14:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Ganfield 2013-02-05 11:15:10 UTC
No topic is opened when I press F1 in Evaluate Code window.
The help id of the window is:
EvaluateCode

It seems that the UI for this may have changed.
Help topic for Evaluate expression
[java/helpset/docs/debug/CSH/evaluate_expression.html]
refers to dialog box.

It appears it is now a window and the process has changed. 
The result is displayed in the Variables window.
Comment 1 AlyonaStashkova 2013-02-27 16:03:53 UTC
Topic updated and mapped with the EvaluateCode help ID (https://hg.netbeans.org/main/rev/dab047ce6d85)
Comment 2 Quality Engineering 2013-02-28 02:07:35 UTC
Integrated into 'main-golden', will be available in build *201302272300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/dab047ce6d85
User: AlyonaStashkova@netbeans.org
Log: #225744 evaluate code csh topic updated, help id updated, button images added
Comment 3 AlyonaStashkova 2013-03-04 13:09:01 UTC
Topic related to code evaluation updated.
TOC updated to read "Evaluating Code"
https://hg.netbeans.org/main/rev/7f198302eb65
Comment 4 Quality Engineering 2013-03-05 01:49:34 UTC
Integrated into 'main-golden', will be available in build *201303042300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7f198302eb65
User: AlyonaStashkova@netbeans.org
Log: #225744 topic related to code evaluation updated, toc updated to read "evaluating code"
Comment 5 AlyonaStashkova 2013-03-19 11:58:41 UTC
a second help id (for Java) and a note about debugging both java and javascript added
https://hg.netbeans.org/main/rev/1d6349239eb6
Comment 6 Quality Engineering 2013-03-21 01:53:50 UTC
Integrated into 'main-golden', will be available in build *201303202300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1d6349239eb6
User: AlyonaStashkova@netbeans.org
Log: #225744 second id for the Evaluate Code Window and a note about java and javascript debugging added
Comment 7 AlyonaStashkova 2013-03-26 11:22:11 UTC
Verified in NetBeans IDE Dev (Build 201303242300)
Comment 8 AlyonaStashkova 2013-03-26 14:54:24 UTC
the Java Source Editor help topic displays when debugging a Java project